Mailinglist Archive: opensuse-bugs (4292 mails)

< Previous Next >
[Bug 1037053] New: Running HPLIP missing python-sip and flips back to terminal for downloading plugin
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 01 May 2017 22:02:00 +0000
  • Message-id: <bug-1037053-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1037053


Bug ID: 1037053
Summary: Running HPLIP missing python-sip and flips back to
terminal for downloading plugin
Classification: openSUSE
Product: openSUSE Tumbleweed
Version: Current
Hardware: x86-64
OS: Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Printing
Assignee: jsmeix@xxxxxxxx
Reporter: malcolmlewis@xxxxxxxxxxxx
QA Contact: jsmeix@xxxxxxxx
Found By: ---
Blocker: ---

Created attachment 723324
--> http://bugzilla.opensuse.org/attachment.cgi?id=723324&action=edit
hplip_plugin

Hi
Since #boo1035833 was resolved there are still a couple of issues;

1. Does it really need the install of some 31 libqt packages now, to me it
seems rather excessive?

( 1/38) Installing: libQt5Bluetooth5-5.7.1-1.1.x86_64
( 2/38) Installing: libQt5CLucene5-5.7.1-1.1.x86_64
( 3/38) Installing: libQt5Nfc5-5.7.1-1.1.x86_64
( 4/38) Installing: libQt5OpenGL5-5.7.1-1.2.x86_64
( 5/38) Installing: libQt5PrintSupport5-5.7.1-1.2.x86_64
( 6/38) Installing: libQt5Sensors5-5.7.1-1.1.x86_64
( 7/38) Installing: libQt5SerialPort5-5.7.1-1.1.x86_64
( 8/38) Installing: libQt5Sql5-5.7.1-1.2.x86_64
( 9/38) Installing: libQt5Svg5-5.7.1-1.1.x86_64
(10/38) Installing: libQt5Test5-5.7.1-1.2.x86_64
(11/38) Installing: libQt5WebSockets5-5.7.1-1.1.x86_64
(12/38) Installing: libQt5Xml5-5.7.1-1.2.x86_64
(13/38) Installing: libQt5XmlPatterns5-5.7.1-1.1.x86_64
(14/38) Installing: libgypsy0-0.9-10.5.x86_64
(15/38) Installing: libprotobuf11-3.1.0-2.3.x86_64
(16/38) Installing: libqt5-qtconnectivity-tools-5.7.1-1.1.x86_64
(17/38) Installing: libsnappy1-1.1.3-1.6.x86_64
(18/38) Installing: libsrtp1-1.5.4-2.1.x86_64
(19/38) Installing: python-qt5-utils-5.8.2-1.1.x86_64
(20/38) Installing: libQt5Sql5-sqlite-5.7.1-1.2.x86_64
(21/38) Installing: libQt5Help5-5.7.1-1.1.x86_64
(22/38) Installing: libQt5Designer5-5.7.1-1.1.x86_64
(23/38) Installing: libQtQuick5-5.7.1-1.1.x86_64
(24/38) Installing: libQt5WebSockets5-imports-5.7.1-1.1.x86_64
(25/38) Installing: libQt5WebChannel5-5.7.1-1.1.x86_64
(26/38) Installing: libQt5Sensors5-imports-5.7.1-1.1.x86_64
(27/38) Installing: libQt5Positioning5-5.7.1-1.1.x86_64
(28/38) Installing: libQt5Nfc5-imports-5.7.1-1.1.x86_64
(29/38) Installing: libQt5Multimedia5-5.7.1-1.1.x86_64
(30/38) Installing: libQt5Bluetooth5-imports-5.7.1-1.1.x86_64
(31/38) Installing: libqt5-qtwebengine-5.7.1-1.6.x86_64
(32/38) Installing: libQt5WebChannel5-imports-5.7.1-1.1.x86_64
(33/38) Installing: libQt5WebKit5-5.7.1-1.3.x86_64
(34/38) Installing: libQt5Location5-5.7.1-1.1.x86_64
(35/38) Installing: libQt5WebKitWidgets5-5.7.1-1.3.x86_64
(36/38) Installing: libQt5WebKit5-imports-5.7.1-1.3.x86_64
(37/38) Installing: python2-qt5-5.8.2-1.1.x86_64
(38/38) Installing: hplip-3.16.11-2.1.x86_64

2. When running hp-setup as root user the QT5 gui starts, enter the target
printer friendly name, it finds it fine, but once selected it needs to download
a plugin for the printer. On the old version the GUI would pop up for this, now
it falls back to the terminal to accept the license (I see: warning: It is not
recommended to run 'hp-plugin' in a root mode.) then back to the GUI to finish?

See attachment: hplip_plugin

3. The latest build uses python-sip, this package is now called python2-sip and
had to manually install, maybe a rebuild required to pick up the new name or
does this now need to be a manual requires in the spec file?

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
Follow Ups